ad_page_contract {
  
  Sample GEO P
  
  @author Hamilton Chua (ham@solutiongrove.com)
  
}

# mashups landing page
set mashup_url [mashup::get_url]
set google_api_key [parameter::get -parameter "GoogleApiKey"]

# javscript sources
set ah_url [ah::get_url]
set ah_sources [ah::js_sources -default]
append ah_sources [ah::yahoo::js_sources -default]
append ah_sources [ah::yahoo::js_sources -source "event"]

# get ip
set ip [ns_conn peeraddr]
# set ip "209.10.210.45"
# set ip "58.69.56.72"
 
set hostinfo [mashup::geoip::connect -ip $ip]
set name [mashup::geoip::getinfo -xmlnode $hostinfo -info "gml:name"]
set country [mashup::geoip::getinfo -xmlnode $hostinfo -info "countryName"]
set countryabbrev [mashup::geoip::getinfo -xmlnode $hostinfo -info "countryAbbrev"]
set flag [mashup::geoip::getflag -ip $ip]
set lat [mashup::geoip::getlocation -xmlnode $hostinfo -position "latitude"]
set long [mashup::geoip::getlocation -xmlnode $hostinfo -position "longitude"]

if { ![exists_and_not_null lat] } {
	set lat 0
}

if { ![exists_and_not_null long] } {
	set long 0
}